Subject: Re: [PATCH v2 3/4] mergetool--lib: Add functions for finding available tools

From: John Keeping <[email-masked]>
Date: Tue, 29 Jan 2013 23:02:38 +0000

On Tue, Jan 29, 2013 at 02:27:21PM -0800, David Aguilar wrote:
> I don't want to stomp on your feet and poke at this file too much if
> you're planning on building on top of it (I already did a few times
> ;-).  My git time is a bit limited for the next few days so I don't
> want to hold you up.  I can help shepherd through small fixups that
> come up until the weekend rolls around and I have more time, but I
> also don't want to hold you back until then.
> 
> I will have some time tonight.  If you guys would prefer an
> incremental patch I can send one that changes the "ls" expression and
> the way the unavailable block is structured.  Otherwise, I can send
> replacements to handle the "test -z" thing, $TAB$TAB, and the
> simplification of the unavailable block.
> 
> Later patches (that are working towards the new feature) can
> generalize show_tool_names() further and eliminate the need for the
> available/unavailable variables altogether.  John, I would imagine
> that you'd want to pick that up since you're driving towards having
> --tool-help honor custom tools.
> 
> What do you think?

I was planning to hold off until this series is in a reasonable state -
there's no rush as far as I'm concerned, but if Junio's happy to leave
these patches with just the small fixups I'm happy to build on that with
a patch that removes the available and unavailable variables before
adding the tools from git-config.

John